
QGIS Application - Bug report #12538

Processing GDAL Rasterize: duplicated commands

2015-04-09 09:53 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20680

Description

There are two commands for GDAL:Rasterize: rasterize_over.py and rasterize.py. The options of the first (rsaterize over an existing

raster) are repeated in the second, duplicating the functionality and making the interface unnecessarily complex. Better remove it.

Associated revisions

Revision 66d55dab - 2015-04-11 10:36 AM - Alexander Bruy

Merge pull request #1988 from NaturalGIS/master

[processing] remove duplicate options from gdal_rasterize (fix #12538)

History

#1 - 2015-04-10 10:05 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Assignee changed from Victor Olaya to Giovanni Manghi

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/1988

#2 - 2015-04-11 01:36 AM - Alexander Bruy

- Status changed from In Progress to Closed

Fixed in changeset commit:"66d55dabbdc6848f222d477bc34c0e34d664bd65".
